Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.charts
Class SSJXYSeriesCollection

    java.lang.Object
      umontreal.iro.lecuyer.charts.SSJXYSeriesCollection

Direct Known Subclasses:
  EmpiricalSeriesCollection, HistogramSeriesCollection, XYListSeriesCollection

    public abstract class SSJXYSeriesCollection

extends Object

Stores data used in a `XYChart`. This class provides tools to manage data sets and rendering options, and modify plot color, plot style, and marks on points for each series.

Constructor Summary
`SSJXYSeriesCollection()`

Method Summary
`Color` | `getColor(int series)` Gets the current plotting color of the selected series.
`double[]` | `getDomainBounds()` Returns domain (x-coordinates) min and max values.
`double[]` | `getRangeBounds()` Returns range (y-coordinates) min and max values.
`org.jfree.chart.renderer.xy.XYItemRenderer` | `getRenderer()` Returns the `XYItemRenderer` object associated with the current object.
`org.jfree.data.xy.XYDataset` | `getSeriesCollection()` Returns the `XYDataset` object associated with the current object.
`double` | `getX(int series, int index)` Returns the x-value at the specified index in the specified series.
`double` | `getY(int series, int index)` Returns the y-value at the specified index in the specified series.
`void` | `setColor(int series, Color color)` Sets a new plotting color to the series series.
`void` | `setRenderer(org.jfree.chart.renderer.xy.XYItemRenderer renderer)` Sets the `XYItemRenderer` object associated with the current variable.
`abstract String` | `toLatex(double XScale, double YScale, double XShift, double YShift, double xmin, double xmax, double ymin, double ymax)` Formats and returns a string containing a LATEX-compatible source code which represents this data series collection.
`String` | `toString()` Returns in a `String` all data contained in the current object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSJXYSeriesCollection

    public SSJXYSeriesCollection()

Method Detail

### getX

    public double getX(int series,
                       int index)

  Returns the x-value at the specified index in the specified series.

  Parameters:
    `series` - required series value.
    `index` - value's index.
  Returns:
    x-value at the specified index in the specified series.

### getY

    public double getY(int series,
                       int index)

  Returns the y-value at the specified index in the specified series.

  Parameters:
    `series` - required series value.
    `index` - value's index.
  Returns:
    y-value at the specified index in the specified series.

### getSeriesCollection

    public org.jfree.data.xy.XYDataset getSeriesCollection()

  Returns the `XYDataset` object associated with the current object.

  Returns:
    `XYDataset` object associated with the current variable.

### getDomainBounds

    public double[] getDomainBounds()

  Returns domain (x-coordinates) min and max values.

  Returns:
    domain min and max values.

### getRangeBounds

    public double[] getRangeBounds()

  Returns range (y-coordinates) min and max values.

  Returns:
    range min and max values.

### toString

    public String toString()

  Returns in a `String` all data contained in the current object.

  Overrides:
    `toString` in class `Object`
  Returns:
    All data contained in the current object as a `String`.

### getRenderer

    public org.jfree.chart.renderer.xy.XYItemRenderer getRenderer()

  Returns the `XYItemRenderer` object associated with the current object.

  Returns:
    `XYItemRenderer` object associated with the current variable.

### setRenderer

    public void setRenderer(org.jfree.chart.renderer.xy.XYItemRenderer renderer)

  Sets the `XYItemRenderer` object associated with the current variable. This object determines the chart JFreeChart look, produced by method `view` in class `XYChart`.

  Parameters:
    `renderer` - new `XYItemRenderer` object.

### getColor

    public Color getColor(int series)

  Gets the current plotting color of the selected series.

  Returns:
    current plotting color.

### setColor

    public void setColor(int series,
                         Color color)

  Sets a new plotting color to the series series.

  Parameters:
    `series` - series index.
    `color` - plotting color.

### toLatex

    public abstract String toLatex(double XScale,
                                   double YScale,
                                   double XShift,
                                   double YShift,
                                   double xmin,
                                   double xmax,
                                   double ymin,
                                   double ymax)

  Formats and returns a string containing a LATEX-compatible source code which represents this data series collection. The original datasets are shifted and scaled with the `XShift`, `YShift`, `XScale` and `YScale` parameters. `xmin`, `xmax`, `ymin` and `ymax` represent the chart bounds.

  Parameters:
    `XScale` - Domain original data scale.
    `YScale` - Range original data scale.
    `XShift` - Domain original data shift value.
    `YShift` - Range original data shift value.
    `xmin` - Domain min bound.
    `xmax` - Domain nax bound.
    `ymin` - Range min bound.
    `ymax` - Range nax bound.
  Returns:
    TikZ code.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.